﻿using System.ComponentModel;

namespace ValidateIndex
{
    public enum DocCirculationStates
    {
        [Description("Неизвестный")]
        Unknown = -1,
        [Description("В обработке")]
        ImportInProgress = 0,      //происходит загрузка импорта
        [Description("В процессе")]
        InProgress = 1,             //	Обрабатывается статус для сервера
        [Description("Завершен с ошибкой")]
        FinishedWrong = 2,	        //  Завершен с ошибкой
        [Description("Завершен успешно")]
        FinishedSuccessfully = 3,   //	Завершен успешно
        [Description("Загружен. Готов к отправке")]
        Loaded = 4,                 //	Загружен успешно
        [Description("Загружен. Есть ошибки")]
        LoadWithErrors = 5,		//загружен с ошибками
        [Description("Загружен. Есть предупреждения")]
        LoadWithWarnings = 6,		//загружен с предупрезжениями
        [Description("Отправлен")]
        Sent = 7,                   //Сервер завершил отправку. Документ перешел из Подготовки в Документообороты. Доступен просмотр.
        [Description("Не импортировался")]
        NotImported = 8,			//  мусор, не записывается в бд
        [Description("Подготовка к отправке")]
        SendingOnClient = 9,        //Отправка на клиенте
        [Description("Ошибка подготовки к отправке")]
        PreparingError = 10,         // Ошибка при подготовке 
        [Description("Отправляется")]
        PrepareSend = 11,                // Статус сигнализирует серверу, что документ готов к отправке. Доступен просмотр.
        [Description("Отправляется")]
        SendingOnServer = 12,                // Сервер приступил к отправке.
        [Description("Ошибка отправки сервером")]
        SendingOnServerError = 13,                // При отправке (или подготовке контейнера) возникла ошибка. Доступны отправка, удаление, просмотр и повторная проверка.
        [Description("Удаляется")]
        Deleting = 14,        //Удалятся могут только не отправленные декларации
        [Description("Исходные файлы ПФР (для формирования пачек)")]
        SourceFilePfr = 15,        //Особый статус импортированных, но не скомплектованных файлов ПФР
        [Description("Редактируется")]
        Editing = 16,        //Особый статус импортированных, но не скомплектованных файлов ПФР
        [Description("Завершен с предупреждением")]
        FinishedWarning = 17,        //завершен с предупреждением
        [Description("Загружен. Есть ошибки от внешних модулей проверки.")]
        LoadWithExtErrors = 18
    }
}
